## visad
Class DisplayTupleType

    java.lang.Object
      visad.MathType
          visad.TupleType
              visad.RealTupleType
                  visad.DisplayTupleType

All Implemented Interfaces:
  Serializable

public class DisplayTupleType
extends RealTupleType

DisplayTupleType is the class for tuples of DisplayRealType's.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RealTupleType
`Generic2D, Generic3D, LatitudeLongitudeAltitude, LatitudeLongitudeTuple, SpatialCartesian2DTuple, SpatialCartesian3DTuple, SpatialEarth2DTuple, SpatialEarth3DTuple, Time1DTuple`

Fields inherited from class visad.MathType
`SystemIntrinsic`

Constructor Summary
`` `DisplayTupleType(DisplayRealType[] types)` construct a DisplayTupleType with null CoordinateSystem
`(package private)` `DisplayTupleType(DisplayRealType[] types, boolean b)` construct a DisplayTupleType with null CoordinateSystem
`` `DisplayTupleType(DisplayRealType[] types, CoordinateSystem coord_sys)` construct a DisplayTupleType
`(package private)` `DisplayTupleType(DisplayRealType[] types, CoordinateSystem coord_sys, boolean b)` construct a DisplayTupleType

Methods inherited from class visad.RealTupleType
`binary, buildShadowType, equalsExceptName, equalsExceptNameButUnits, getCoordinateSystem, getDefaultSet, getDefaultUnits, makeArray, makeArray, makeArray, makeArray, missingData, prettyString, setDefaultSet, unary`

Methods inherited from class visad.TupleType
`__getitem__, __len__, cloneDerivative, equals, getComponent, getComponents, getDimension, getFlat, getIndex, getIndex, getNumberOfRealComponents, getRealComponents, hashCode`

Methods inherited from class visad.MathType
`addTimeAlias, findScalarType, guessMaps, main, prettyString, stringToType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayTupleType

    public DisplayTupleType(DisplayRealType[] types)
                     throws VisADException

  construct a DisplayTupleType with null CoordinateSystem

Parameters:
  `types` - array of DisplayRealType to be components note a DisplayRealType may not be a component of more than one DisplayTupleType
Throws:
  `VisADException` - a VisAD error occurred

### DisplayTupleType

    public DisplayTupleType(DisplayRealType[] types,
                            CoordinateSystem coord_sys)
                     throws VisADException

  construct a DisplayTupleType

Parameters:
  `types` - array of DisplayRealType to be components note a DisplayRealType may not be a component of more than one DisplayTupleType
  `coord_sys` - CoordinateSystem; if non-null, its reference must be another DisplayTupleType
Throws:
  `VisADException` - a VisAD error occurred

### DisplayTupleType

    DisplayTupleType(DisplayRealType[] types,
                     boolean b)

  construct a DisplayTupleType with null CoordinateSystem

Parameters:
  `types` - array of DisplayRealType to be components note a DisplayRealType may not be a component of more than one DisplayTupleType
  `b` - argument indicating this is a trusted constructor for initializers

### DisplayTupleType

    DisplayTupleType(DisplayRealType[] types,
                     CoordinateSystem coord_sys,
                     boolean b)

  construct a DisplayTupleType

Parameters:
  `types` - array of DisplayRealType to be components note a DisplayRealType may not be a component of more than one DisplayTupleType
  `coord_sys` - CoordinateSystem; if non-null, its reference must be another DisplayTupleType
  `b` - argument indicating this is a trusted constructor for initializers